package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;

public class HoistingData extends Entity{

	//吊装数据
	
	/**  指示纳所  */
	private String code;
	private String  modelType;//型试名
	/** 吊装点 */
	private String name;
	/** 数量 */
	private double orderQuantity;
	/** 吊装日期 */
	private Date allocateTime;
	
	/**  */
	private String userName;
	/**  */
	private Date userDate;
	/**  */
	private String status;
	
	/** 备注 */
	private String description;
	/**  PARTS_ID*/
	private String str1;
	/** ID_NO */
	private String str2;
	/** 机号 */
	private String str3;
	/** STATION_NO */
	private String str4;
	/**  */
	private String str5;
	
	/** 耗用日期 */
	private Date hyDate;
	/** 耗用人 */
	private String hyBy;
	
	/** 耗用ID */
	private Long hyId1;
	
	/** 耗用ID */
	private Long hyId2;
	
	/** 耗用Des */
	private String hyDes;
	
	
	public Date getHyDate() {
		return hyDate;
	}
	public void setHyDate(Date hyDate) {
		this.hyDate = hyDate;
	}
	public String getHyBy() {
		return hyBy;
	}
	public void setHyBy(String hyBy) {
		this.hyBy = hyBy;
	}
	public Long getHyId1() {
		return hyId1;
	}
	public void setHyId1(Long hyId1) {
		this.hyId1 = hyId1;
	}
	public Long getHyId2() {
		return hyId2;
	}
	public void setHyId2(Long hyId2) {
		this.hyId2 = hyId2;
	}
	public String getHyDes() {
		return hyDes;
	}
	public void setHyDes(String hyDes) {
		this.hyDes = hyDes;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public double getOrderQuantity() {
		return orderQuantity;
	}
	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}
	public Date getAllocateTime() {
		return allocateTime;
	}
	public void setAllocateTime(Date allocateTime) {
		this.allocateTime = allocateTime;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Date getUserDate() {
		return userDate;
	}
	public void setUserDate(Date userDate) {
		this.userDate = userDate;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStr1() {
		return str1;
	}
	public void setStr1(String str1) {
		this.str1 = str1;
	}
	public String getStr2() {
		return str2;
	}
	public void setStr2(String str2) {
		this.str2 = str2;
	}
	public String getStr3() {
		return str3;
	}
	public void setStr3(String str3) {
		this.str3 = str3;
	}
	public String getStr4() {
		return str4;
	}
	public void setStr4(String str4) {
		this.str4 = str4;
	}
	public String getStr5() {
		return str5;
	}
	public void setStr5(String str5) {
		this.str5 = str5;
	}
	
}
